import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class RFileInput implements ControlValueAccessor {
    status: string;
    shape: string;
    size: string;
    name: FormControl;
    constructor();
    onChange($event: any): void;
    propagateChange: (_: any) => void;
    onTouch: () => void;
    writeValue(input: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
}
